Gem::Specification.new do |s|

  s.name            = 'logstash-input-file_progress'
  s.version         = '3.1.2'
  s.licenses        = ['Apache License (2.0)']
  s.summary         = "Stream events from files with progress-events."
  s.description     = "This gem is a logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/plugin install gemname. This gem is not a stand-alone program"
  s.authors         = ["Signify"]
  s.email           = 'dietmar@signifydata.com'
  s.homepage        = "http://www.signifydata.com"
  s.require_paths = ["lib"]

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE','NOTICE.TXT']

  # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "input" }

  # Gem dependencies
  s.add_runtime_dependency "logstash-core-plugin-api", ">= 1.60", "<= 2.99"

  s.add_runtime_dependency 'logstash-codec-plain'
  s.add_runtime_dependency 'addressable', ["~> 2.3"]
  s.add_runtime_dependency "filewatch-ext", ["~> 1.1.0"]
  s.add_runtime_dependency 'logstash-codec-multiline', ['~> 3.0']

  #s.add_development_dependency 'stud', ['~> 0.0.22']
  s.add_development_dependency 'logstash-devutils'
  s.add_development_dependency 'logstash-codec-json'
  s.add_development_dependency 'rspec-sequencing'
end

